/* SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause) */
/*
 * Copyright (c) 2020 MediaTek Inc.
 */

#ifndef MTK_PCMCIA_H
#define MTK_PCMCIA_H

#include <linux/io.h>
#include <linux/bitops.h>


#ifdef pr_fmt
#undef pr_fmt
#endif
#define pr_fmt(fmt) "mtk_ci: " fmt

#define MTK_CI_ERR(fmt, ...)		\
	pr_err("[%s][%d]" fmt,	\
	__func__, __LINE__, ##__VA_ARGS__)

#define MTK_CI_INFO(fmt, ...)		\
	pr_info("[%s][%d]" fmt,	\
	__func__, __LINE__, ##__VA_ARGS__)

#define MTK_CI_DEBUG(fmt, ...)		\
	pr_debug("[%s][%d]" fmt,	\
	__func__, __LINE__, ##__VA_ARGS__)

#endif
